Skip to content
Follow yggy on LinkedInFollow @yggy_tech on X

Respond to a pending chat elicitation

POST
/api/v1/chat/{chatId}/elicitations
curl --request POST \
--url https://api.yggy.tech/api/v1/chat/example/elicitations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "example", "action": "accept", "content": { "additionalProperty": "example" } }'

Sends the user’s accept, decline or cancel decision on a pending destructive graph change (shown to the client as an MCP elicitation) to the chat session that asked for it.

chatId
required
string
Media type application/json
object
id
required

The correlator id of the pending elicitation, as sent to the client in the elicitation SSE event

string
>= 1 characters
action
required

The user’s decision on the pending destructive mutation

string
Allowed values: accept decline cancel
content

Form values collected from the user, present only when action is “accept”

object
key
additional properties

Elicitation response delivered to the chat session

Media type application/json
object
success
required
boolean
Example
{
"success": true
}

Unauthorized

Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
string
Example
{
"success": false
}

Chat session not found or not owned by the caller

Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
string
Example
{
"success": false
}

The chat session did not accept the elicitation response

Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
string
Example
{
"success": false
}